API

Google Search API

The AI-powered Google provides 360° Global Media Data & Intelligence on Google Search, Google News, advertisers, SEO professionals, and content discoverability teams.

Riferimento API Versione: 1.0.0 6 Endpoint Autenticazione
Google Monitor

URL base

https://pressmonitor.com/api

Autenticazione

Tutte le richieste richiedono gli header x-api-key e x-subscription-id. x-api-key autentica il tuo account; x-subscription-id seleziona il servizio sottoscritto.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /google_autocomplete

Google Search Autocomplétion

Parametri

Nome Tipo Posizione Obbligatorio Descrizione
text string query Sì Query text

Esempi di codice

curl -X GET \
  "https://pressmonitor.com/api/google_autocomplete?text=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Risposte

200 Success
GET /google_search_web

Google Search Recherche Web

Parametri

Nome Tipo Posizione Obbligatorio Descrizione
text string query Sì Query text
region string query No Region code
safesearch string query No SafeSearch filter
timelimit string query No Time limit
max_results integer query No Maximum number of results

Esempi di codice

curl -X GET \
  "https://pressmonitor.com/api/google_search_web?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Risposte

200 Success
GET /google_search_news

Google Search Recherche Actualités

Parametri

Nome Tipo Posizione Obbligatorio Descrizione
text string query Sì Query text
region string query No Region code
max_results integer query No Maximum number of results

Esempi di codice

curl -X GET \
  "https://pressmonitor.com/api/google_search_news?text=VALUE®ion=VALUE&max_results=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Risposte

200 Success
GET /google_search_images

Google Search Recherche Images

Parametri

Nome Tipo Posizione Obbligatorio Descrizione
text string query Sì Query text
region string query No Region code
safesearch string query No SafeSearch filter
timelimit string query No Time limit
max_results integer query No Maximum number of results
color string query No Color
size string query No Size
image_type string query No Image type
layout string query No Layout

Esempi di codice

curl -X GET \
  "https://pressmonitor.com/api/google_search_images?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&color=VALUE&size=VALUE&image_type=VALUE&layout=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Risposte

200 Success
GET /google_search_videos

Google Search Recherche Vidéos

Parametri

Nome Tipo Posizione Obbligatorio Descrizione
text string query Sì Query text
region string query No Region code
safesearch string query No SafeSearch filter
timelimit string query No Time limit
max_results integer query No Maximum number of results
resolution string query No Resolution
duration string query No Duration

Esempi di codice

curl -X GET \
  "https://pressmonitor.com/api/google_search_videos?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&resolution=VALUE&duration=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Risposte

200 Success
GET /google_search_maps

Google Search Recherche Cartes

Parametri

Nome Tipo Posizione Obbligatorio Descrizione
text string query Sì Query text
place string query No Place
street string query No Street
city string query No City
state string query No State
country string query No Country code
postalcode string query No Postalcode
latitude string query No Latitude
longitude string query No Longitude
radius string query No Radius

Esempi di codice

curl -X GET \
  "https://pressmonitor.com/api/google_search_maps?text=VALUE&place=VALUE&street=VALUE&city=VALUE&state=VALUE&country=VALUE&postalcode=VALUE&latitude=VALUE&longitude=VALUE&radius=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Risposte

200 Success